Tektronix Technical Forums are maintained by community involvement. Feel free to post questions or respond to questions by other members. Should you require a time-sensitive answer, please contact your local Tektronix support center here.

Can't remote control via GPIB after upgrade firmware

Models 2400, 2401, 2410, 2420, 2425, 2430, 2440, 6430
Post Reply
jakraphana
Posts: 3
Joined: April 1st, 2011, 2:18 am
Country: Thailand

Can't remote control via GPIB after upgrade firmware

Post by jakraphana » April 1st, 2011, 2:31 am

Hi All,

I upgrade firmware of 2410 from C30 to C32 with firmware downloaded from website.

After I finished upgrade, I can manual operate.

But try to remote operate via GPIB, it show "REM" at panel but I can't get the status of unit and can't send any SPCI command to 2410.

I use NI GPIB-USB interface and send command by Keithley communicator programe.

It's show message error as below:


:SYST:ERR?
?Unable to start operation because setup is invalid (due to attributes being set to an inconsistent state)

Please help me to fix this problem.

/Jakraphan A.
[email protected]

Dale C
Keithley Applications
Keithley Applications
Posts: 2849
Joined: June 10th, 2010, 6:22 am
Country: United States
Contact:

Re: Can't remote control via GPIB after upgrade firmware

Post by Dale C » April 1st, 2011, 6:38 am

I have upgraded my 2400 to C32 with no issues.
Then I tried the Keithley communicator program and could send commands and get back data with no issues.
DId this operate before you performed the upgrade?

jakraphana
Posts: 3
Joined: April 1st, 2011, 2:18 am
Country: Thailand

Re: Can't remote control via GPIB after upgrade firmware

Post by jakraphana » April 3rd, 2011, 10:03 pm

This issue did not perform before upgraded.

And I tried upgrade again, I just saw display show "error +601 reading buffer data lost"

every time when finished upgraded.

But after turn off and power on the unit this message not show again.

Dale C
Keithley Applications
Keithley Applications
Posts: 2849
Joined: June 10th, 2010, 6:22 am
Country: United States
Contact:

Re: Can't remote control via GPIB after upgrade firmware

Post by Dale C » April 4th, 2011, 5:21 am

Sounds like this is a service issue.
Please contact your local KI service center.

Post Reply

Return to “2400 Series SourceMeter”

Who is online

Users browsing this forum: No registered users and 1 guest